Skip to main content
PATCH
/
crm
/
objects
/
{objectName}
/
fields
/
{fieldName}
Update field
curl --request PATCH \
  --url https://www.dench.com/api/v1/crm/objects/{objectName}/fields/{fieldName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "required": true,
  "enumValues": [
    "<string>"
  ],
  "enumColors": [
    "<string>"
  ],
  "enumMultiple": true,
  "indexed": true,
  "clearEnrichment": true
}
'
{
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": "<unknown>"
  }
}

Authorizations

Authorization
string
header
required

Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.

Path Parameters

objectName
string
required
fieldName
string
required

Body

application/json
name
string

Rename the field.

description
string
required
boolean
enumValues
string[]

Full replacement of options.

enumColors
string[]
enumMultiple
boolean
indexed
boolean
enrichment
object

Enrichment binding that lets the field auto-fill from a provider.

clearEnrichment
boolean

Response

Successful response